# html-additional-extensions-webpack-plugin
[![Build Status](https://travis-ci.org/wop-wops/html-additional-extensions-webpack-plugin.svg?branch=master)](https://travis-ci.org/wop-wops/html-additional-extensions-webpack-plugin)

About
---
That addon adding an additional extensions at script and link tags in [html-webpack-plugin](https://github.com/jantimon/html-webpack-plugin).

Installation
---
```shell
$ yarn add --dev html-additional-extensions-webpack-plugin
```
OR
```shell
$ npm install --save-dev html-additional-extensions-webpack-plugin
```

Usage
---
```javascript
//webpack.config.js
const HtmlWebpackPlugin = require('html-webpack-plugin');
const HtmlAdditionalExtPlugin = require('html-additional-extensions-webpack-plugin');

const configuration = (() => {
  const config = {
    entry: ...,
    output: ...,
    devServer: ...,
    resolve: ...,
    module: ...,
    plugins: [
      new HtmlWebpackPlugin(),
      new HtmlAdditionalExtPlugin({
        css: '.gz',
        js: 'gz',
      })
    ],
  };

  return config;
})();

module.exports = configuration;
```

License
---
This project is licensed under [MIT](https://github.com/wop-wops/html-additional-extensions-webpack-plugin/blob/master/license.md).
