const fixDots = require('./utils/fixDots');
const addExtension = require('./utils/addExtension');

function HtmlAdditionalExtPlugin(config) {
  const configuration = fixDots(config);

  this.config = configuration;
};

HtmlAdditionalExtPlugin.prototype.apply = function(compiler) {
  compiler.plugin('compilation', (compilation) => {
    compilation.plugin('html-webpack-plugin-alter-asset-tags', (htmlPluginData, callback) => {
      htmlPluginData.body.forEach((item) => {
        item = addExtension(item, this.config);
      });

      htmlPluginData.head.forEach((item) => {
        item = addExtension(item, this.config);
      });

      callback(null, htmlPluginData);
    });
  });
};

module.exports = HtmlAdditionalExtPlugin;
